# Simulate incoming bank transfer

Simulates a bank transfer into a profile's account details. This will create a payment into the user's account details and balance for the specified amount and currency.

Please refer to the Bank Account Details API reference for more information on setting up bank details to receive money.

{% admonition type="info" %}
This functionality only works for the following currencies: USD, EUR, GBP. Returns a 400 error when account details for the specified currency do not exist.
{% /admonition %}

Endpoint: POST /simulation/profiles/{profileId}/bank-transactions/import
Security: UserToken

## Path parameters:

  - `profileId` (integer, required)
    The profile ID.

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
    Example: "f47ac10b-58cc-4372-a567-0e02b2c3d479"

## Request fields (application/json):

  - `currency` (string, required)
    The currency of the bank account details that you want to make payment to.

  - `amount` (number, required)
    The payment amount.

  - `reference` (string)
    Custom payment reference to identify the payment.
    Example: "Test transfer"

  - `senderName` (string)
    Sender full name.
    Example: "Jane Doe"

  - `senderBankCode` (string)
    Sender bank code.
    Example: "101019628"

  - `senderAccountNumber` (string)
    Sender's bank account number.
    Example: "1234567890"

  - `beneficiaryName` (string)
    Beneficiary name - defaults to account holder name.
    Example: "John Doe"

  - `senderAddress` (object)
    Sender address.

  - `senderAddress.addressFirstLine` (string)
    Address line: street, house, apartment.

  - `senderAddress.city` (string)
    City name.

  - `senderAddress.postalCode` (string)
    Postal code.

  - `senderAddress.stateCode` (string)
    State code.

  - `senderAddress.country` (string)
    Country code (ISO 3166-1 alpha-2).

  - `beneficiaryAddress` (object)
    Beneficiary address.


## Response 201 fields

## Response 400 fields
